gnome-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gnome.Canvas System.Obsolete To be added To be added
- Constructor
  2.24.0.0
  To be added
  To be added
- Constructor
  2.24.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.24.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.24.0.0
  To be added: an object of type 'uint'
  To be added: an object of type 'Gtk.Adjustment'
  To be added: an object of type 'int'
  To be added
  To be added
- Method
  2.24.0.0
  System.Int32 `` `` To be added: an object of type 'string' To be added: an object of type 'string' To be added To be added: an object of type 'int' To be added
- Method
  2.24.0.0
  System.Int32 `` `` `` To be added: an object of type 'Gdk.Pixbuf' To be added: an object of type 'string' To be added: an object of type 'string' To be added To be added: an object of type 'int' To be added
- Method
  2.24.0.0
  System.Void To be added To be added
- Property
  2.24.0.0
  System.Int32 To be added To be added: an object of type 'int' To be added
- Method
  2.24.0.0
  System.Void `` `` `` To be added: an object of type 'uint' To be added: an object of type 'Gtk.Adjustment' To be added: an object of type 'int' To be added To be added
- Method
  2.24.0.0
  System.Int32 `` To be added: an object of type 'IntPtr' To be added To be added: an object of type 'int' To be added
- Method
  2.24.0.0
  System.Int32 `` To be added: an object of type 'string' To be added To be added: an object of type 'int' To be added
- Method
  2.24.0.0
  System.Void `` To be added: an object of type 'int' To be added To be added
- Method
  2.24.0.0
  System.Void To be added To be added
- Method
  2.24.0.0
  System.Int32 `` `` To be added: an object of type 'int' To be added: an object of type 'int' To be added To be added: an object of type 'int' To be added
- Method
  2.24.0.0
  System.IntPtr `` To be added: an object of type 'int' To be added To be added: an object of type 'IntPtr' To be added
- Method
  2.24.0.0
  System.String `` To be added: an object of type 'int' To be added To be added: an object of type 'string' To be added
- Method
  2.24.0.0
  Gnome.CanvasPixbuf `` To be added: an object of type 'int' To be added To be added: an object of type 'Gnome.CanvasPixbuf' To be added
- Method
  2.24.0.0
  Gnome.IconTextItem `` To be added: an object of type 'int' To be added To be added: an object of type 'Gnome.IconTextItem' To be added
- Property
  2.24.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.24.0.0
  System.Int32 To be added To be added: an object of type 'int' To be added
- Event
  2.24.0.0
  GLib.Signal("focus_icon")
  Gnome.IconFocusedHandler To be added To be added
- Event
  2.24.0.0
  GLib.Signal("select_icon")
  Gnome.IconSelectedHandler To be added To be added
- Event
  2.24.0.0
  GLib.Signal("unselect_icon")
  Gnome.IconUnselectedHandler To be added To be added
- Property
  2.24.0.0
  System.Int32 To be added To be added: an object of type 'int' To be added
- Method
  2.24.0.0
  System.Void `` `` `` To be added: an object of type 'int' To be added: an object of type 'string' To be added: an object of type 'string' To be added To be added
- Method
  2.24.0.0
  System.Void `` `` `` `` To be added: an object of type 'int' To be added: an object of type 'Gdk.Pixbuf' To be added: an object of type 'string' To be added: an object of type 'string' To be added To be added
- Property
  2.24.0.0
  System.Int32 To be added To be added: an object of type 'int' To be added
- Event
  2.24.0.0
  GLib.Signal("move_cursor")
  Gnome.MoveCursorHandler To be added To be added
- Method
  2.24.0.0
  System.Void `` `` To be added: an object of type 'int' To be added: an object of type 'double' To be added To be added
- Property
  2.24.0.0
  System.UInt32 To be added To be added: an object of type 'uint' To be added
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideIconFocused", Type=typeof(Gnome.IconList))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideIconSelected", Type=typeof(Gnome.IconList))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideIconUnselected", Type=typeof(Gnome.IconList))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideMoveCursor", Type=typeof(Gnome.IconList))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideTextChanged", Type=typeof(Gnome.IconList))
  System.Boolean `` `` a a Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideToggleCursorSelection", Type=typeof(Gnome.IconList))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  System.Void `` To be added: an object of type 'int' To be added To be added
- Property
  2.24.0.0
  System.Int32 To be added To be added: an object of type 'int' To be added
- Method
  2.24.0.0
  System.Void To be added. To be added.
- Method
  2.24.0.0
  System.Void `` To be added: an object of type 'int' To be added To be added
- Property
  2.24.0.0
  System.Int32[] To be added a To be added
- Property
  2.24.0.0
  Gtk.SelectionMode To be added To be added: an object of type 'Gtk.SelectionMode' To be added
- Property
  2.24.0.0
  System.String To be added To be added: an object of type 'string' To be added
- Method
  2.24.0.0
  System.Void `` `` To be added: an object of type 'int' To be added: an object of type 'IntPtr' To be added To be added
- Event
  2.24.0.0
  GLib.Signal("text_changed")
  Gnome.TextChangedHandler To be added To be added
- Property
  2.24.0.0
  System.Int32 To be added To be added: an object of type 'int' To be added
- Method
  2.24.0.0
  System.Void To be added To be added
- Event
  2.24.0.0
  GLib.Signal("toggle_cursor_selection")
  System.EventHandler To be added To be added
- Method
  2.24.0.0
  System.Int32 To be added To be added: an object of type 'int' To be added
- Method
  2.24.0.0
  System.Void `` To be added: an object of type 'int' To be added To be added